Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.transaction.xa
Interface Xid

public interface Xid

The Xid interface is a Java mapping of the X/Open transaction identifier XID structure.

A transaction id is an aggregate of three parts:

- The format identifier indicates the transaction family and tells how the other two parts should be interpreted.
- The global transaction id denotes, with the format specifier, the id of the global transaction.
- The branch qualifier denotes a particular branch of the global transaction.

The Xid interface is used by the application server, the transaction manager and the resource managers, and is not used in application programs.

Version:
  $Revision: 1.2 $

Field Summary
`static int` | `MAXBQUALSIZE` The maximum possible size of a transaction branch qualifier.
`static int` | `MAXGTRIDSIZE` The maximum possible size of a global transaction id.

Method Summary
`byte[]` | `getBranchQualifier()` Get the transaction branch qualifier of this transaction.
`int` | `getFormatId()` Get the format identifier.
`byte[]` | `getGlobalTransactionId()` Get the global transaction id of this transaction.

Field Detail

### MAXGTRIDSIZE

    public static final int MAXGTRIDSIZE

  The maximum possible size of a global transaction id. This is the largest possible array returned by the `getGlobalTransactionId` method.

  See Also:
    Constant Field Values

### MAXBQUALSIZE

    public static final int MAXBQUALSIZE

  The maximum possible size of a transaction branch qualifier. This is the largest possible array returned by the `getBranchQualifier` method.

  See Also:
    Constant Field Values

Method Detail

### getFormatId

    public int getFormatId()

  Get the format identifier.

  Returns:
    An integer denoting the family of this transaction, and telling how the two other parts can be interpreted.

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  Get the global transaction id of this transaction. Please note that JTA does not define if this method returns a copy or a reference to an internal byte array. For maximum portability, do not modify the returned array.

  Returns:
    A byte array that together with the format ID defines the globally unique ID of this transaction.

### getBranchQualifier

    public byte[] getBranchQualifier()

  Get the transaction branch qualifier of this transaction. Please note that JTA does not define if this method returns a copy or a reference to an internal byte array. For maximum portability, do not modify the returned array.

  Returns:
    A byte array that identifies the branch of this transaction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.